package com.aselimov.NS.model;

import java.time.LocalDateTime;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Document(collection = "notifications")
public class Notification {
	@Id
	private String id;
	private NotificationType type;
	private String recipient;
	private String subject;
	private String content;
	private NotificationStatus status;
	private LocalDateTime createdAt;
	private LocalDateTime updatedAt;

	public enum NotificationType {
		EMAIL, SMS, PUSH
	}

	public enum NotificationStatus {
		PENDING, SENT, FAILED
	}
}
