package com.aselimov.NS.repository;

import com.aselimov.NS.model.Notification;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface NotificationRepository extends MongoRepository<Notification, String> {
	// Find notifications by status
	List<Notification> findByStatus(Notification.NotificationStatus status);

	// Find notifications by type
	List<Notification> findByType(Notification.NotificationType type);

	// Find notifications by recipient
	List<Notification> findByRecipient(String recipient);
}
